# ``twisted`.`mail`.`relaymanager`.`SMTPManagedRelayerFactory``

class documentation

`class SMTPManagedRelayerFactory(protocol.ClientFactory): (source)`

Known subclasses: `twisted.mail.relaymanager.ESMTPManagedRelayerFactory`

View In Hierarchy

A factory to create an `SMTPManagedRelayer`.

This factory creates a managed relayer which relays a set of messages over SMTP and informs an attempt manager of its progress.

Method | `__init__` |
Method | `buildProtocol` | Create an `SMTPManagedRelayer`.
Method | `clientConnectionFailed` | Notify the attempt manager that a connection could not be established.
Instance Variable | `manager` | See `__init__`
Instance Variable | `messages` | See `__init__`
Instance Variable | `pArgs` | Positional arguments for `SMTPClient.__init__`
Instance Variable | `pKwArgs` | Keyword arguments for `SMTPClient.__init__`
Instance Variable | `protocol` | A callable which returns a managed relayer for SMTP. See `SMTPManagedRelayer.__init__` for parameters to the callable.

Inherited from `ClientFactory`:

Method | `clientConnectionLost` | Called when an established connection is lost.
Method | `startedConnecting` | Called when a connection has been started.

Inherited from `Factory` (via `ClientFactory`):

Class Method | `forProtocol` | Create a factory for the given protocol.
Method | `doStart` | Make sure startFactory is called.
Method | `doStop` | Make sure stopFactory is called.
Method | `logPrefix` | Describe this factory for log messages.
Method | `startFactory` | This will be called before I begin listening on a Port or Connector.
Method | `stopFactory` | This will be called before I stop listening on all Ports/Connectors.
Class Variable | `noisy` | Undocumented
Instance Variable | `numPorts` | Undocumented

def __init__(self, messages, manager, *args, **kw): (source)
overridden in `twisted.mail.relaymanager.ESMTPManagedRelayerFactory`

Parameters
messages:`list` of `bytes` | The base filenames of messages to be relayed.
manager:`_AttemptManager` | An attempt manager.
*args:1-`tuple` of (0) `bytes` or 2-`tuple` of (0) `bytes`, (1), `int` | Positional arguments for `SMTPClient.__init__`
**kw:`dict` | Keyword arguments for `SMTPClient.__init__`

def buildProtocol(self, addr): (source)
from `twisted.internet.interfaces.IProtocolFactory`
overrides `twisted.internet.protocol.Factory.buildProtocol`
overridden in `twisted.mail.relaymanager.ESMTPManagedRelayerFactory`
Create an `SMTPManagedRelayer`.

Parameters
addr:`IAddress` provider | The address of the SMTP server.
Returns
`SMTPManagedRelayer` | A managed relayer for SMTP.

def clientConnectionFailed(self, connector, reason): (source)
overrides `twisted.internet.protocol.ClientFactory.clientConnectionFailed`
Notify the attempt manager that a connection could not be established.

Parameters
connector:`IConnector` provider | A connector.
reason:`Failure` | The reason the connection attempt failed.

manager = (source)
See `__init__`
messages = (source)
See `__init__`
pArgs: 1-`tuple` of (0) `bytes` or 2-`tuple` of (0) `bytes`, (1), `int` = (source)
Positional arguments for `SMTPClient.__init__`
pKwArgs: `dict` = (source)
Keyword arguments for `SMTPClient.__init__`
protocol: callable which returns `SMTPManagedRelayer` = (source)
overrides `twisted.internet.protocol.Factory.protocol`
overridden in `twisted.mail.relaymanager.ESMTPManagedRelayerFactory`
A callable which returns a managed relayer for SMTP. See `SMTPManagedRelayer.__init__` for parameters to the callable.